Flash

Some of our courses include content that relies on Flash.

Please ensure you have Adobe Flash Player 10.3 or later plus any of these web browsers:

Windows: Internet Explorer 8 and later, Microsoft Edge (latest version), Google Chrome (latest version), Firefox (latest version)

Mac: Safari 7 and later, Google Chrome (latest version)

To install Flash, or to check if you have the latest version of Flash please click here.


All Requirements